local L = {};
setmetatable(L, {
	__index = function (self, key)
		return key;
	end
});

BtWQuests.L = L;

_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_CLASSIC] = EXPANSION_NAME0 or "Classic";
_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_THE_BURNING_CRUSADE] = EXPANSION_NAME1 or "The Burning Crusade";
_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_WRATH_OF_THE_LICH_KING] = EXPANSION_NAME2 or "Wrath of the Lich King";
_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_CATACLYSM] = EXPANSION_NAME3 or "Cataclysm";
_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_MISTS_OF_PANDARIA] = EXPANSION_NAME4 or "Mists of Pandaria";
_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_WARLORDS_OF_DRAENOR] = EXPANSION_NAME5 or "Warlords of Draenor";
_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_LEGION] = EXPANSION_NAME6 or "Legion";
_G['BTWQUESTS_EXPANSION_NAME' .. BTWQUESTS_EXPANSION_BATTLE_FOR_AZEROTH] = EXPANSION_NAME7 or "Battle for Azeroth";

BINDING_HEADER_BTWQUESTS = "BtWQuests"
BINDING_NAME_TOGGLE_BTWQUESTS = "Toggle BtWQuests"

BTWQUESTS_ACTIVE = "Active"
BTWQUESTS_ALLIED_RACES = "Allied Races"
BTWQUESTS_AVAILABLE = "Available"
BTWQUESTS_COMPLETED = "Completed"
BTWQUESTS_COSMETIC = "Cosmetic"
BTWQUESTS_COUNTDOWN_DHM = "%d days, %d hours and %d minutes"
BTWQUESTS_COUNTDOWN_HMS = "%d hours, %d minutes and %d seconds"
BTWQUESTS_COUNTDOWN_MS = "%d minutes and %d seconds"
BTWQUESTS_COUNTDOWN_S = "%d seconds"
BTWQUESTS_CURRENCY = "%2$d %3$s"
BTWQUESTS_EPILOGUE = "Epilogue"
BTWQUESTS_EXTRA_WORLD_QUESTS = "Extra World Quests"
BTWQUESTS_GO_TO = "Go to %s"
BTWQUESTS_HEART_OF_AZEROTH_LEVEL = "Heart of Azeroth Level %s"
BTWQUESTS_IGNORED = "Ignored"
BTWQUESTS_INTRODUCTION = "Introduction"
BTWQUESTS_KILL = "Kill %s"
BTWQUESTS_LEVEL = "Level %d"
BTWQUESTS_LOOT = "Loot %s"
BTWQUESTS_COLLECT = "Collect %s"
BTWQUESTS_EQUIP = "Equip %s"
BTWQUESTS_TALK_TO = "Talk to %s"
BTWQUESTS_MOUNT = "Mount"
BTWQUESTS_NO_EXPANSION_ERROR = "[BtWQuests]: Please enable one of the expansion addons, for example, BtWQuests: Battle for Azeroth"
BTWQUESTS_OPEN_QUEST_CHAIN = "Open Quest Chain"
BTWQUESTS_PASSED = "Passed"
BTWQUESTS_PET = "Pet"
BTWQUESTS_FACTION = "Faction"
BTWQUESTS_PREFIX = "%s: %s"
BTWQUESTS_PROFESSIONS = "Professions"
BTWQUESTS_PROFESSION_ALCHEMY = "Alchemy"
BTWQUESTS_PROFESSION_BLACKSMITHING = "Blacksmithing"
BTWQUESTS_PROFESSION_ENCHANTING = "Enchanting"
BTWQUESTS_PROFESSION_ENGINEERING = "Engineering"
BTWQUESTS_PROFESSION_FIRST_AID = "First Aid"
BTWQUESTS_PROFESSION_FISHING = "Fishing"
BTWQUESTS_PROFESSION_HERBALISM = "Herbalism"
BTWQUESTS_PROFESSION_INSCRIPTION = "Inscription"
BTWQUESTS_PROFESSION_JEWELCRAFTING = "Jewelcrafting"
BTWQUESTS_PROFESSION_LEATHERWORKING = "Leatherworking"
BTWQUESTS_PROFESSION_MINING = "Mining"
BTWQUESTS_PROFESSION_SKINNING = "Skinning"
BTWQUESTS_PROFESSION_TAILORING = "Tailoring"
BTWQUESTS_PROGRESS = "Progress %d out of %d"
BTWQUESTS_PROGRESS_SIDE = "Progress %d out of %d (%d out of %d)"
BTWQUESTS_PROLOGUE = "Prologue"
BTWQUESTS_QUEST_CHAIN_ACTIVE = "You are on this quest chain"
BTWQUESTS_QUEST_CHAIN_COMPLETED = "You have completed this quest chain"
BTWQUESTS_QUEST_JOURNAL = "Quest Journal"
BTWQUESTS_REPUTATION_AMOUNT_STANDING = "%s into %s with %s"
BTWQUESTS_REPUTATION_STANDING = "%s with %s"
BTWQUESTS_REQUIREMENTS = "%d/%d Requirements"
BTWQUESTS_REQUIREMENT_PROGRESS = "Requirement progress"
BTWQUESTS_SECRET = "Secret"
BTWQUESTS_SIDE_QUESTS = "Side Quests"
BTWQUESTS_SKILL_LEVEL = "%s in %s"
BTWQUESTS_TOOLTIP_PREREQUISITES = "Prerequisites:"
BTWQUESTS_TOY = "Toy"
BTWQUESTS_VIEW_ALL = "View All"
BTWQUESTS_WAIT_FOR_DAILY_RESET = "Wait for daily reset"
BTWQUESTS_WORLD_QUESTS = "World Quests"

BTWQUESTS_PROFESSION_MAP = {
	[129] = BTWQUESTS_PROFESSION_FIRST_AID,
	[164] = BTWQUESTS_PROFESSION_BLACKSMITHING,
	[165] = BTWQUESTS_PROFESSION_LEATHERWORKING,
	[171] = BTWQUESTS_PROFESSION_ALCHEMY,
	[182] = BTWQUESTS_PROFESSION_HERBALISM,
	[184] = BTWQUESTS_PROFESSION_COOKING,
	[186] = BTWQUESTS_PROFESSION_MINING,
	[197] = BTWQUESTS_PROFESSION_TAILORING,
	[202] = BTWQUESTS_PROFESSION_ENGINEERING,
	[333] = BTWQUESTS_PROFESSION_ENCHANTING,
	[356] = BTWQUESTS_PROFESSION_FISHING,
	[393] = BTWQUESTS_PROFESSION_SKINNING,
	[755] = BTWQUESTS_PROFESSION_JEWELCRAFTING,
	[773] = BTWQUESTS_PROFESSION_INSCRIPTION,
	[794] = BTWQUESTS_PROFESSION_ARCHAEOLOGY,
};
